wxWidgets: wxRichTextStyleComboCtrl Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxRichTextStyleComboCtrl Class Reference
Class List by Category » Rich Text

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/richtext/richtextstyles.h>`

Inheritance diagram for wxRichTextStyleComboCtrl:
[legend]

## Detailed Description

This is a combo control that can display the styles in a wxRichTextStyleSheet, and apply the selection to an associated wxRichTextCtrl.

See `samples/richtext` for an example of how to use it.

##

Library: wxRichText

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxRichTextStyleListBox, wxRichTextCtrl Overview

## Public Member Functions
| wxRichTextStyleComboCtrl (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0)
| Constructor. More...
| wxRichTextStyleComboCtrl ()
virtual | ~wxRichTextStyleComboCtrl ()
| Destructor. More...
bool | Create (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0)
| Creates the windows. More...
wxRichTextCtrl * | GetRichTextCtrl () const
| Returns the wxRichTextCtrl associated with this control. More...
wxRichTextStyleSheet * | GetStyleSheet () const
| Returns the style sheet associated with this control. More...
void | SetRichTextCtrl (wxRichTextCtrl *ctrl)
| Associates the control with a wxRichTextCtrl. More...
void | SetStyleSheet (wxRichTextStyleSheet *styleSheet)
| Associates the control with a style sheet. More...
void | UpdateStyles ()
| Updates the combo control from the associated style sheet. More...

## Constructor & Destructor Documentation

## ◆ wxRichTextStyleComboCtrl() [1/2]

wxRichTextStyleComboCtrl::wxRichTextStyleComboCtrl | ( | wxWindow * | parent,
|  | wxWindowID | id = `wxID_ANY`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`
| ) |  |

Constructor.

## ◆ wxRichTextStyleComboCtrl() [2/2]

wxRichTextStyleComboCtrl::wxRichTextStyleComboCtrl | ( |  | ) |

## ◆ ~wxRichTextStyleComboCtrl()

virtual wxRichTextStyleComboCtrl::~wxRichTextStyleComboCtrl | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ Create()

bool wxRichTextStyleComboCtrl::Create | ( | wxWindow * | parent,
|  | wxWindowID | id = `wxID_ANY`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`
| ) |  |

Creates the windows.

## ◆ GetRichTextCtrl()

wxRichTextCtrl* wxRichTextStyleComboCtrl::GetRichTextCtrl | ( |  | ) | const

Returns the wxRichTextCtrl associated with this control.

## ◆ GetStyleSheet()

wxRichTextStyleSheet* wxRichTextStyleComboCtrl::GetStyleSheet | ( |  | ) | const

Returns the style sheet associated with this control.

## ◆ SetRichTextCtrl()

void wxRichTextStyleComboCtrl::SetRichTextCtrl | ( | wxRichTextCtrl * | ctrl | ) |

Associates the control with a wxRichTextCtrl.

## ◆ SetStyleSheet()

void wxRichTextStyleComboCtrl::SetStyleSheet | ( | wxRichTextStyleSheet * | styleSheet | ) |

Associates the control with a style sheet.

## ◆ UpdateStyles()

void wxRichTextStyleComboCtrl::UpdateStyles | ( |  | ) |

Updates the combo control from the associated style sheet.